QwtCompassMagnetNeedle(3)

NAME
QwtCompassMagnetNeedle - A magnet needle for compass widgets.

SYNOPSIS

#include <qwt_dial_needle.h>

Inherits QwtDialNeedle.

  Public Types
enum Style { TriangleStyle, ThinStyle }
Style of the needle.

  Public Member Functions
QwtCompassMagnetNeedle (Style=TriangleStyle, const QColor &light=Qt::white, const QColor &dark=Qt::red)
Constructor.

  Protected Member Functions
virtual void drawNeedle (QPainter *, double length, QPalette::ColorGroup) const

Detailed Description

A magnet needle for compass widgets. A magnet needle points to two opposite directions indicating north and south.

The following colors are used:

•   QPalette::Light
     Used for pointing south

•   QPalette::Dark
     Used for pointing north

•   QPalette::Base
     Knob (ThinStyle only)

See also:
    QwtDial, QwtCompass

Member Enumeration Documentation

  enum QwtCompassMagnetNeedle::Style

Style of the needle.

Enumerator

TriangleStyle
    A needle with a triangular shape.

ThinStyle
    A thin needle.

Member Function Documentation

  void QwtCompassMagnetNeedle::drawNeedle (QPainter * painter, double length, QPalette::ColorGroup colorGroup) const [protected], [virtual]
Draw the needle

Parameters:
    painter Painter
    length Length of the needle
    colorGroup Color group, used for painting

Implements QwtDialNeedle.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.